package com.prank.tool.sounds.app.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.prank.tool.sounds.app.adapter.AdaLike;
import com.prank.tool.sounds.app.common.MyItemDecoration;
import com.prank.tool.sounds.app.data.Db;
import com.prank.tool.sounds.app.data.detail;
import com.prank.tool.sounds.app.databinding.FragmentLikeBinding;

import java.util.List;


public class FragmentLike extends Fragment {

    private AdaLike adapter;

    public FragmentLike() {
    }

    @SuppressWarnings("unused")
    public static FragmentLike newInstance() {
        FragmentLike fragment = new FragmentLike();
        Bundle args = new Bundle();
//        args.putInt(ARG_COLUMN_COUNT, columnCount);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    private FragmentLikeBinding collectBinding;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        collectBinding = FragmentLikeBinding.inflate(getLayoutInflater());
        RecyclerView recyclerView = collectBinding.list;
        recyclerView.setLayoutManager(new GridLayoutManager(requireContext(), 2));
        List<detail> all = Db.getAllLike();
        if(all.size()==0){
            collectBinding.layoutEmpty.setVisibility(View.VISIBLE);
            collectBinding.list.setVisibility(View.GONE);
        }else {
            collectBinding.layoutEmpty.setVisibility(View.GONE);
            collectBinding.list.setVisibility(View.VISIBLE);
        }
        adapter = new AdaLike(requireContext(), all,false);
        MyItemDecoration itemHelper = new MyItemDecoration(10, 10, 5);
        recyclerView.addItemDecoration(itemHelper);
        recyclerView.setAdapter(adapter);

        return collectBinding.getRoot();
    }

    public void refresh() {
        if (adapter != null) {
            List<detail> all = Db.getAllLike();
            if(all.size()==0){
                collectBinding.layoutEmpty.setVisibility(View.VISIBLE);
                collectBinding.list.setVisibility(View.GONE);
            }else {
                collectBinding.layoutEmpty.setVisibility(View.GONE);
                collectBinding.list.setVisibility(View.VISIBLE);
            }
            adapter.updateData(all);
        }
    }
}